Subject: Re: Bug#928029: planner: segfaulted; now segfaults on every start-up

From: Jonathan Dowland <[email-masked]>
Date: Fri, 17 May 2019 11:37:19 +0100

On Fri, May 17, 2019 at 11:33:41AM +0100, Jonathan Dowland wrote:
>Some additional context:  was running in a GNOME/Wayland
>session. I'm going to try GNOME/Xorg now.

Actually i mave have already been in GNOME/Xorg rather than Wayland,
unfortunately I cannot be sure now. The following happened on my next attempt
to use planner, definitely in an Xorg session this time. I did not set the
--g-* argument. SEGV happened when editing a text field "Name" in the "edit task"
dialog.

(gdb) run
Starting program: /usr/bin/planner 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Gtk-Message: 11:34:31.593: Failed to load module "canberra-gtk-module"
[New Thread 0x7ffff2281700 (LWP 29894)]
[New Thread 0x7ffff1a80700 (LWP 29895)]
[New Thread 0x7ffff120c700 (LWP 29898)]

Thread 1 "planner" received signal SIGSEGV, Segmentation fault.
g_type_check_instance_is_fundamentally_a (type_instance=type_instance@entry=0x7fffe8094080, 
    fundamental_type=fundamental_type@entry=0x50 [GObject]) at ../../../gobject/gtype.c:4026
4026	../../../gobject/gtype.c: No such file or directory.
(gdb) bt
#0  0x00007ffff745c51f in g_type_check_instance_is_fundamentally_a
    (type_instance=type_instance@entry=0x7fffe8094080, fundamental_type=fundamental_type@entry=0x50 [GObject])
    at ../../../gobject/gtype.c:4026
#1  0x00007ffff743ca1e in g_object_ref (_object=0x7fffe8094080) at ../../../gobject/gobject.c:3212
#2  0x00007ffff74429b5 in g_weak_ref_get (weak_ref=<optimized out>) at ../../../gobject/gobject.c:4387
#3  0x00007ffff75a71d2 in g_settings_backend_invoke_closure (user_data=0x7fffe80a9800)
    at ../../../gio/gsettingsbackend.c:263
#4  0x00007ffff7355dd8 in g_main_dispatch (context=0x555555642c00) at ../../../glib/gmain.c:3182
#5  0x00007ffff7355dd8 in g_main_context_dispatch (context=context@entry=0x555555642c00) at ../../../glib/gmain.c:3847
#6  0x00007ffff73561c8 in g_main_context_iterate
    (context=0x555555642c00, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>)
    at ../../../glib/gmain.c:3920
#7  0x00007ffff73564c2 in g_main_loop_run (loop=0x555555a898d0) at ../../../glib/gmain.c:4116
#8  0x00007ffff79ef8e7 in gtk_main () at /lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#9  0x0000555555570bae in main ()